package org.processmining.behavioralpatternmining.models;

import java.util.ArrayList;

public class ProcessTreeSet extends ArrayList<BehavioralPattern> {

	private static final long serialVersionUID = 3158199974513620836L;

	private int positionCombi;
	private int depth;
	private boolean extensible;
	private String represString;
	private boolean containsFreq;

	public ProcessTreeSet() {
	}

	public int getPositionCombi() {
		return positionCombi;
	}

	public void setPositionCombi(int positionCombi) {
		this.positionCombi = positionCombi;
	}

	public int getDepth() {
		return depth;
	}

	public void setDepth(int depth) {
		this.depth = depth;
	}

	public boolean isExtensible() {
		return extensible;
	}

	public void setExtensible(boolean extensible) {
		this.extensible = extensible;
	}

	public String getRepresString() {
		return represString;
	}

	public void setRepresString(String represString) {
		this.represString = represString;
	}

	public boolean isContainsFreq() {
		return containsFreq;
	}

	public void setContainsFreq(boolean containsFreq) {
		this.containsFreq = containsFreq;
	}
}
